# Class: D

Defined in: | lib/Engine.coffee
Inherits: | Operation

## Overview

A simple delete-type operation.

## Instance Method Summary

- # (void) toJson() Convert all relevant information of this operation into the json-format.
- # (void) IT()

## Inherited Method Summary

### Methods inherited from Operation

#getUid #execute

## Constructor Details

# (void) constructor(creator, op_number, delete_op)

## Instance Method Details

# (void) toJson()

Convert all relevant information of this operation into the json-format. This result can be send to other clients.

# (void) IT()

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input